#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "MutatorData.generated.h"

class UMutator;

UCLASS(Blueprintable)
class UMutatorData : public UDataAsset
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export, meta=(AllowPrivateAccess=true))
	TArray<UMutator*> _mutators;

public:
	UMutatorData();
};

FORCEINLINE uint32 GetTypeHash(const UMutatorData) { return 0; }
